# RPM specfile for pspell module
# Generated Wed Jan 23 21:13:47 2002 GMT by Ximian build system
# $Id: bb_do,v 1.157 2002/01/03 21:45:57 dobey Exp $
# from $Id: ximian-build.conf,v 1.3 2001/12/19 18:41:19 thunder Exp $

%define nam	pspell
%define ver	0.12.2

Name:     	pspell
Version: 	0.12.2
Release:	ximian.6
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		http://pspell.sourceforge.net/
Epoch:		1
Source0:	pspell-.12.2.tar.gz
Patch0:		pspell-old-libtool-fix.patch
Summary:	Portable Spell Checker Interface Library.
Group:		Applications/Text

%description
The Pspell library provides a generic interface to spell checker
libraries installed on the system.

%files
%defattr(-, root, root)
%doc README manual/man-html manual/man-text
/usr/share/pspell/*
/usr/lib/libpspell*.so.*


%package -n pspell-devel
Summary:	Static libraries and header files for pspell
Group:		Applications/Text
Requires:	pspell = %{PACKAGE_VERSION}

%description -n pspell-devel
The Pspell library provides a generic interface to Spell checker
libraries installed on the system. This package contains static
libraries and header files for Pspell

%files -n pspell-devel
%defattr(-, root, root)
/usr/bin/pspell-config
/usr/lib/libpspell*.a
/usr/lib/libpspell*.so
/usr/include/pspell/*.h
/usr/include/pspell/*.hh


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n pspell-.12.2
    ;;
all)
%setup  -q -n pspell-.12.2
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var --enable-ltdl
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Jan 23 2002 Ximian, Inc.

- Version: 1:0.12.2-ximian.6
- New upstream version.

* Thu Nov  8 2001 thunder

- Version: 0.12.2-ximian.4
- Imported into packaging system.

